%define subrel 1

Summary: System to user tools
Name: s2u
Version: 0.9.2
Release: %mkrel 11
URL: http://www.mageia.org/
Source0: %{name}-%{version}.tar.bz2
Patch0: s2u-0.9.2-fix-build-libnotify-0.7.patch
Patch1: s2u-0.9.2-fix-dbus-api.patch
Patch2: s2u-fix-dbus-calls.patch
Patch3: s2u-0.9.2-fix-sourced.patch
License: GPL
Group: Graphical desktop/Other
BuildRequires: dbus-glib-devel
BuildRequires: gtk+2-devel
BuildRequires: libnotify-devel
Requires: dbus
Requires: initscripts >= 7.06-52

%description
Use dbus to communicate between from the system to the users.

%prep
%setup -q
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install

%files
%doc ChangeLog README AUTHORS LICENSE
%_bindir/s2u
%_sysconfdir/X11/xinit.d/s2u
%_sysconfdir/sysconfig/network-scripts/hostname.d/s2u
%config(noreplace) %_sysconfdir/dbus-1/system.d/*.conf

# MAKE THE CHANGES IN SVN: NO PATCH OR SOURCE ALLOWED
